getTrace {AnaCoDa} | R Documentation

## extracts an object of traces from a parameter object.

### Description

extracts an object of traces from a parameter object.

### Usage

    getTrace(parameter)

### Arguments

`parameter` | A Parameter object that corresponds to one of the model types.

### Value

trace Returns an object of type Trace extracted from the given parameter object

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    genome <- initializeGenomeObject(file = genome_file)
    sphi_init <- c(1,1)
    numMixtures <- 2
    geneAssignment <- c(rep(1,floor(length(genome)/2)),rep(2,ceiling(length(genome)/2)))
    parameter <- initializeParameterObject(genome = genome, sphi = sphi_init,
                                           num.mixtures = numMixtures,
                                           gene.assignment = geneAssignment,
                                           mixture.definition = "allUnique")

    trace <- getTrace(parameter) # empty trace object since no MCMC was perfomed

[Package AnaCoDa version 0.1.3.0 Index]